Subject: Re: [eman] ODVA <-> IETF EMAN

From: Rich A Morgan <[email-masked]>
Date: Thu, 21 Jul 2011 09:48:47 -0500

Hello, Benoit,

Thank you for the opportunity to review the draft IETF EMAN requirements 
03 document.

The EMAN effort and the ODVA Energy Initiative clearly have many similar 
goals. ODVA is an association of vendors that operates at the device level 
in the industrial manuafacturing ecosystem within the overall framework of 
the Common Industrial Protocol, or CIP.. The Energy Initiative is in its 
first phase: developing standardized communication methods for 
energy-aware industrial devices to report power, energy and other 
associated data. The ODVA Energy special interest group (SIG) is 
completing work on phase 1 and moving into the next phase: developing 
standardized methods for commanding industrial devices to thates that use 
energy more efficiently.

The CIP Energy phase 1 effort includes a number of concepts that may be 
useful within EMAN. 
Support of all types of energy with normalized reporting in kilo-Watthours
Support of energy-aware devices with varying capabilities
Those that measure energy
Those that derive power and energy from measurement and/or other data such 
as device states
Those that act as proxy for an external device or load
Those that aggregate energy use of child devices
Those that simply report a fixed power value or zero depending on the 
device state
Standardized reporting of energy data using "odometer" structures 
(consumed energy, generated energy and net energy). Each odometer is an 
array of 5 INTs scaled by powers of 10
Definition of the operation of an aggregation device. The aggregator 
periodically polls data from its children, assesses the incremental energy 
consumption (generation) of each child and presents the sum of the child 
devices' incremental usage in the aggregator's own set of odometers.

A reason for the use of an odometer as a 5-INT array is that many CIP 
enabled devices are simple devices that do not support data types such as 
INT64 or F64. An energy counter needs to be precise but with a large 
enough maximum value that a value rollover is a rare event.

The EMAN draft appears to create a valuable standardized framework for not 
only energy management but also asset management of the network 
infrastructure. 

Thank you again for sharing this work with ODVA. 

Regards,

Rich Morgan
Rockwell Automation
Power and Energy Products
Office:  (+1) 414 382 0329
Mobile: (+1) 414 517 9071

##

---

From: Benoit Claise <[email-masked]>
Date: Mon, 25 Jul 2011 21:37:13 -0400

Hi Rich,

Thanks for your review.
See inside.
>
> Hello, Benoit,
>
> Thank you for the opportunity to review the draft IETF EMAN 
> requirements 03 document.
>
> The EMAN effort and the ODVA Energy Initiative clearly have many 
> similar goals. 
Fully agree.
> ODVA is an association of vendors that operates at the device level in 
> the industrial manuafacturing ecosystem within the overall framework 
> of the Common Industrial Protocol, or CIP.. The Energy Initiative is 
> in its first phase: developing standardized communication methods for 
> standardized methods for commanding industrial devices to thates that 
> use energy more efficiently.
>
> The CIP Energy phase 1 effort includes a number of concepts that may 
> be useful within EMAN.
>
>   * Support of all types of energy with normalized reporting in
>     kilo-Watthours
>
Yes.
>
>  *
>
>
>   * Support of energy-aware devices with varying capabilities
>
Did you actually define the term "energy-aware devices"?
>
>  *
>       o Those that measure energy
>       o Those that derive power and energy from measurement and/or
>         other data such as device states
>       o Those that act as proxy for an external device or load
>       o Those that aggregate energy use of child devices
>       o Those that simply report a fixed power value or zero depending
>         on the device state
>       o Standardized reporting of energy data using "odometer"
>         structures (consumed energy, generated energy and net energy).
>
This is a very good concept for our EMAN framework.
I believe it should be mentioned in our EMAN requirements.
>
>  *
>       o Each odometer is an array of 5 INTs scaled by powers of 10
>       o Definition of the operation of an aggregation device. The
>         aggregator periodically polls data from its children, assesses
>         the incremental energy consumption (generation) of each child
>         and presents the sum of the child devices' incremental usage
>         in the aggregator's own set of odometers.
>
>     A reason for the use of an odometer as a 5-INT array is that many
>     CIP enabled devices are simple devices that do not support data
>     types such as INT64 or F64. An energy counter needs to be precise
>     but with a large enough maximum value that a value rollover is a
>     rare event.
>
>     The EMAN draft appears to create a valuable standardized framework
>     for not only energy management but also asset management of the
>     network infrastructure.
>
You're very welcome.
Your feedback is much appreciated.

Regards, Benoit.
>  *